Package com.emc.d2fs.interfaces

# Interface IMenuService

All Superinterfaces:
  `ID2fsService`

public interface IMenuService extends ID2fsService
Menu services.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Menu>`
  `getFullMenusContent(Context context, String id, String type, List<Attribute> attributes)`
  Get full menu for object (recursive) (like portal)
  `List<Menu>`
  `getMenusContent(Context context, String id, String type, List<Attribute> attributes)`
  Get contextual menu for object
  `List<Menu>`
  `getToolbarForType(Context context, String id, String type, List<Attribute> attributes)`
  Get dynamic toolbar and enablement
  `List<Menu>`
  `getUnityMenusContent(Context context, String id, String type, List<Attribute> attributes, boolean includePromoted, boolean includeDemoted)`
  Get unity contextual menu for object

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### getMenusContent

    List<Menu> getMenusContent(Context context, String id, String type, List<Attribute> attributes) throws Exception
    Get contextual menu for object
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
      `type` - String value of menu type name
      `attributes` - `Attribute` list of parameters
    Returns:
      `Menu` list
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getUnityMenusContent

    List<Menu> getUnityMenusContent(Context context, String id, String type, List<Attribute> attributes, boolean includePromoted, boolean includeDemoted) throws Exception
    Get unity contextual menu for object
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
      `type` - String value of menu type name
      `attributes` - `Attribute` list of parameters
      `includePromoted` - Boolean include all promoted items
      `includeDemoted` - Boolean include all non-promoted items
    Returns:
      `Menu` list
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getFullMenusContent

    List<Menu> getFullMenusContent(Context context, String id, String type, List<Attribute> attributes) throws Exception
    Get full menu for object (recursive) (like portal)
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
      `type` - String value of menu type name
      `attributes` - `Attribute` list of parameters
    Returns:
      `Menu` list
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getToolbarForType

    List<Menu> getToolbarForType(Context context, String id, String type, List<Attribute> attributes) throws Exception
    Get dynamic toolbar and enablement
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
      `type` - String value of menu type name
      `attributes` - `Attribute` list of parameters
    Returns:
      `Menu` list
    Throws:
      `Exception`
    Since:
      4.0.1